CoinUtils 2.10.15

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
CoinUnsignedIntArrayWithLength Class Reference

unsigned int * version More...

`#include <CoinIndexedVector.hpp>`

Inheritance diagram for CoinUnsignedIntArrayWithLength:
[legend]
Collaboration diagram for CoinUnsignedIntArrayWithLength:
[legend]

## Public Member Functions
Get methods.
int | getSize () const
| Get the size. More...
unsigned int * | array () const
| Get Array. More...
Set methods
void | setSize (int value)
| Set the size. More...
Condition methods
unsigned int * | conditionalNew (int sizeWanted)
| Conditionally gets new array. More...
Constructors and destructors
| CoinUnsignedIntArrayWithLength ()
| Default constructor - NULL. More...
| CoinUnsignedIntArrayWithLength (int size)
| Alternate Constructor - length in bytes - size_ -1. More...
| CoinUnsignedIntArrayWithLength (int size, int mode)
| Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed. More...
| CoinUnsignedIntArrayWithLength (const CoinUnsignedIntArrayWithLength &rhs)
| Copy constructor. More...
| CoinUnsignedIntArrayWithLength (const CoinUnsignedIntArrayWithLength *rhs)
| Copy constructor.2. More...
CoinUnsignedIntArrayWithLength & | operator= (const CoinUnsignedIntArrayWithLength &rhs)
| Assignment operator. More...
Public Member Functions inherited from CoinArrayWithLength
int | getSize () const
| Get the size. More...
int | rawSize () const
| Get the size. More...
bool | switchedOn () const
| See if persistence already on. More...
int | capacity () const
| Get the capacity (just read it) More...
void | setCapacity ()
| Set the capacity to >=0 if <=-2. More...
const char * | array () const
| Get Array. More...
void | setSize (int value)
| Set the size. More...
void | switchOff ()
| Set the size to -1. More...
void | switchOn (int alignment=3)
| Set the size to -2 and alignment. More...
void | setPersistence (int flag, int currentLength)
| Does what is needed to set persistence. More...
void | clear ()
| Zero out array. More...
void | swap (CoinArrayWithLength &other)
| Swaps memory between two members. More...
void | extend (int newSize)
| Extend a persistent array keeping data (size in bytes) More...
char * | conditionalNew (long sizeWanted)
| Conditionally gets new array. More...
void | conditionalDelete ()
| Conditionally deletes. More...
| CoinArrayWithLength ()
| Default constructor - NULL. More...
| CoinArrayWithLength (int size)
| Alternate Constructor - length in bytes - size_ -1. More...
| CoinArrayWithLength (int size, int mode)
| Alternate Constructor - length in bytes mode - 0 size_ set to size mode>0 size_ set to size and zeroed if size<=0 just does alignment If abs(mode) >2 then align on that as power of 2. More...
| CoinArrayWithLength (const CoinArrayWithLength &rhs)
| Copy constructor. More...
| CoinArrayWithLength (const CoinArrayWithLength *rhs)
| Copy constructor.2. More...
CoinArrayWithLength & | operator= (const CoinArrayWithLength &rhs)
| Assignment operator. More...
void | copy (const CoinArrayWithLength &rhs, int numberBytes=-1)
| Assignment with length (if -1 use internal length) More...
void | allocate (const CoinArrayWithLength &rhs, int numberBytes)
| Assignment with length - does not copy. More...
| ~CoinArrayWithLength ()
| Destructor. More...
void | getArray (int size)
| Get array with alignment. More...
void | reallyFreeArray ()
| Really get rid of array with alignment. More...
void | getCapacity (int numberBytes, int numberIfNeeded=-1)
| Get enough space (if more needed then do at least needed) More...

## Additional Inherited Members
Protected Attributes inherited from CoinArrayWithLength
char * | array_
| Array. More...
CoinBigIndex | size_
| Size of array in bytes. More...
int | offset_
| Offset of array. More...
int | alignment_
| Alignment wanted (power of 2) More...

## Detailed Description

unsigned int * version

Definition at line 889 of file CoinIndexedVector.hpp.

## Constructor & Destructor Documentation

CoinUnsignedIntArrayWithLength::CoinUnsignedIntArrayWithLength | ( |  | ) |
| inline

Default constructor - NULL.

Definition at line 919 of file CoinIndexedVector.hpp.

CoinUnsignedIntArrayWithLength::CoinUnsignedIntArrayWithLength | ( | int | size | ) |
| inline

Alternate Constructor - length in bytes - size_ -1.

Definition at line 922 of file CoinIndexedVector.hpp.

CoinUnsignedIntArrayWithLength::CoinUnsignedIntArrayWithLength | ( | int | size,
|  | int | mode
| ) |  |
| inline

Alternate Constructor - length in bytes mode - 0 size_ set to size 1 size_ set to size and zeroed.

Definition at line 928 of file CoinIndexedVector.hpp.

CoinUnsignedIntArrayWithLength::CoinUnsignedIntArrayWithLength | ( | const CoinUnsignedIntArrayWithLength & | rhs | ) |
| inline

Copy constructor.

Definition at line 931 of file CoinIndexedVector.hpp.

CoinUnsignedIntArrayWithLength::CoinUnsignedIntArrayWithLength | ( | const CoinUnsignedIntArrayWithLength * | rhs | ) |
| inline

Copy constructor.2.

Definition at line 934 of file CoinIndexedVector.hpp.

## Member Function Documentation

int CoinUnsignedIntArrayWithLength::getSize | ( |  | ) | const
| inline

Get the size.

Definition at line 895 of file CoinIndexedVector.hpp.

unsigned int* CoinUnsignedIntArrayWithLength::array | ( |  | ) | const
| inline

Get Array.

Definition at line 898 of file CoinIndexedVector.hpp.

void CoinUnsignedIntArrayWithLength::setSize | ( | int | value | ) |
| inline

Set the size.

Definition at line 905 of file CoinIndexedVector.hpp.

unsigned int* CoinUnsignedIntArrayWithLength::conditionalNew | ( | int | sizeWanted | ) |
| inline

Conditionally gets new array.

Definition at line 912 of file CoinIndexedVector.hpp.

CoinUnsignedIntArrayWithLength& CoinUnsignedIntArrayWithLength::operator= | ( | const CoinUnsignedIntArrayWithLength & | rhs | ) |
| inline

Assignment operator.

Definition at line 937 of file CoinIndexedVector.hpp.

The documentation for this class was generated from the following file:

- /tmp/CoinUtils-2.10.15/CoinUtils/src/CoinIndexedVector.hpp